# Utilidad de Moneda

Este  modulo crea nuevos campo en el apartado moneda.

## Campos creados

* **thousands_separator**  - Separador de miles
* **decimal_separator** - Separador de decimales
* **decimal_places** - Cantidad de decimales
* **symbol_position** - Posición del símbolo

## Data default

### Guaraní-PYG

* **thousands_separator** = .
* **decimal_separator** = ,
* **decimal_places** = 0
* **symbol_position** = before (Antes del importe)

### Real-BRL, PESO-ARS

* **thousands_separator** = .
* **decimal_separator** = ,
* **decimal_places** = 2
* **symbol_position** = before (Antes del importe)

### Dolar-USD

* **thousands_separator** = ,
* **decimal_separator** = .
* **decimal_places** = 2
* **symbol_position** = before (Antes del importe)

### Format Currency
#### Format
* La función estará disponible en el espacio de nombre **openerp.web.formatCurrency** pasando como paramento el valor a formatear y un  objeto  que contiene las información  de la moneda utilizada.

**Ejemplo**.
``` js
var amount = 1250000
var currency={
    'thousandsSeparator':.
    'decimalPlaces': 0
    'decimalSeparator':,
}
 openerp.web.formatCurrency(amount, currency)
```
Resultado  **1.250.000**.

#### UnFormat
* La función estará disponible en el espacio de nombre **openerp.web.unFormatCurrency** pasando como paramento el valor formateado.

**Ejemplo**.
``` js
var amount = '1.250.000'
 openerp.web.unFormatCurrency(amount)
```
Resultado **1250000**.
